# $Revision: 1.34 $, $Date: 2002/09/29 18:45:35 $
#
# Conditional build:
# _without_tests - do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
Summary:	perl-ldap perl module
Summary(pl):	Modu perla perl-ldap
Name:		perl-ldap
Version:	0.26
Release:	1
Epoch:		1
License:	GPL
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/Net/%{name}-%{version}.tar.gz
BuildRequires:	perl >= 5.6.1
BuildRequires:	perl-Convert-ASN1 >= 0.07
BuildRequires:	perl-Digest-HMAC
BuildRequires:	perl-Digest-MD5
BuildRequires:	perl-IO-Socket-SSL
BuildRequires:	perl-MIME-Base64
BuildRequires:	perl-URI >= 1.08
BuildRequires:	perl-XML-Parser
BuildRequires:	perl(Authen::SASL) >= 2.00
BuildRequires:	perl-devel
BuildRequires:	perl-libwww
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq "perl(Convert::ASN1::Debug)"

%description
perl-ldap is a collection of modules that implements a LDAP services
API for Perl programs.

%description -l pl
perl-ldap jest kolekcj moduw umoliwiajcych dostp do usug LDAP z
poziomu programw perla.

%prep
%setup -q -n perl-ldap-%{version}
find . -type f | xargs -r perl -pi -e 's|/local/bin/perl\d*|/bin/perl|g'

%build
perl Makefile.PL
%{__make}
%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install DESTDIR=$RPM_BUILD_ROOT

cp -r {contrib,bin} $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README TODO
%{perl_sitelib}/LWP/Protocol/ldap.pm
%{perl_sitelib}/Net/LDAP.pm
%{perl_sitelib}/Net/LDAP
%{perl_sitelib}/Net/LDAPS.pm
%{_mandir}/man3/*
%{_examplesdir}/%{name}-%{version}

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-ldap.spec,v $
Revision 1.34  2002/09/29 18:45:35  ankry
- updated to 0.26, release 1
- NOTE: requires separate perl-Authen-SASL (which conflicts with previous
  versions of perl-ldap
- fixed file list
- added tests, cleaning

Revision 1.33  2002/07/20 07:15:50  qboosh
- BR: perl-Digest-HMAC; release 4

Revision 1.32  2002/07/20 00:37:28  qboosh
- it uses Convert::ASN1 instead of Convert::BER
- new %%doc; NFY!

Revision 1.31  2002/05/11 14:28:14  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.30  2002/02/25 10:32:26  depesz
cleanup; revision++

Revision 1.29  2002/02/22 23:29:34  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.28  2002/02/13 20:28:05  kloczek
- adapterized.

Revision 1.27  2002/02/10 15:40:13  depesz
adapterized

Revision 1.26  2002/02/09 13:34:43  depesz
wrong path

Revision 1.25  2002/02/09 12:59:38  depesz
- unified source path

Revision 1.24  2002/01/18 02:14:35  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.23  2001/11/13 11:43:45  mis
- rollback autodowngrade

Revision 1.21  2001/11/10 12:39:14  kloczek
- updated to 0.25 (Epoch: 1).

Revision 1.20  2001/11/06 16:46:41  kloczek
- release 2.

Revision 1.19  2001/11/02 14:52:05  jajcus
STBR
- s/LDAPS/LDAPS.pm/, it was not a directory, sorry

Revision 1.18  2001/11/02 14:49:51  jajcus
- directory Net/LDAPS added

Revision 1.17  2001/11/02 14:48:30  jajcus
STBR
- BuildRequires: perl-devel
- BuildRequires: perl-IO-Socket-SSL

Revision 1.16  2001/09/10 13:12:11  mis
- autoupdated to 0.2401

Revision 1.15  2001/07/25 09:17:26  mis
- autoupdated to 0.24

Revision 1.14  2001/05/22 16:54:53  mis
- buildarch noarch
- release++

Revision 1.13  2001/04/30 15:06:39  baggins
- added noautoreq

Revision 1.12  2001/04/28 15:17:26  mis
- autoupdated to 0.23

Revision 1.11  2001/04/17 12:18:54  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.10  2001/04/14 18:00:11  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.9  2001/02/28 19:34:29  mis
- updated (by autoup) to 0.22

Revision 1.8  2001/01/26 04:04:34  kloczek
- release 4: rebuild against perl 5.6 and use rpm automation.

Revision 1.7  2000/06/09 07:55:02  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:23:46  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/23 18:05:26  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:34  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:55:03  baggins
- translated kloczkish into english

Revision 1.2  1999/11/07 09:17:09  pius
- fixed required rpm-perlprov version

Revision 1.1  1999/10/31 00:55:41  pius
- initial release
